# Uses of Interface
org.eclipse.equinox.p2.metadata.ICopyright

Packages that use ICopyright
Package
Description
org.eclipse.equinox.p2.metadata
Defines the metadata being handled by p2.

## Uses of ICopyright in org.eclipse.equinox.p2.metadata

Methods in org.eclipse.equinox.p2.metadata that return ICopyright
Modifier and Type
Method
Description
`static ICopyright`
MetadataFactory.`createCopyright(URI location, String body)`
Returns a new `ICopyright`.
`ICopyright`
IInstallableUnit.`getCopyright()`
Returns the untranslated copyright that applies to this installable unit.
`ICopyright`
IInstallableUnit.`getCopyright(String locale)`
Returns the copyright that applies to this installable unit.
Methods in org.eclipse.equinox.p2.metadata with parameters of type ICopyright
Modifier and Type
Method
Description
`void`
MetadataFactory.InstallableUnitDescription.`setCopyright(ICopyright copyright)`
Set the copyright for the installable unit.